petsc-3.4.2 2013-07-02

# SNESSetNormType

Sets the SNESNormType used in covergence and monitoring of the SNES method.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetNormType(SNES snes, SNESNormType normtype)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| normtype | - the type of the norm used

### Notes

Only certain SNES methods support certain SNESNormTypes. Most require evaluation of the nonlinear function and the taking of its norm at every iteration to even ensure convergence at all. However, methods such as custom Gauss-Seidel methods (SNESGS) and the like do not require the norm of the function to be computed, and therfore may either be monitored for convergence or not. As these are often used as nonlinear preconditioners, monitoring the norm of their error is not a useful enterprise within their solution.

### Keywords

SNES, nonlinear, set, function, norm, type

### See Also

SNESGetNormType(), SNESComputeFunction(), VecNorm(), SNESSetFunction(), SNESSetInitialFunction(), SNESNormType

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages